LINUX.ORG.RU
ФорумTalks

Ruby Version Manager 2.0 собирает деньги

 ,


0

3

https://www.bountysource.com/fundraisers/489-rvm-2-0

For the past two years, RVM has been sponsored by EngineYard, but this sponsorship is coming to an end on November 4th. This fundraiser will allow me to spend the next year working solely on the next major release of RVM and I need your help. Please show your support by pledging to this fundraiser and spreading the word.


Примерный перевод:
Последние два года rvm поддерживал кто-то там, но эта поддержка закончилась 4 ноября, и чтобы разработчик RVM мог последующий год работать над RVM 2.0 ему нужно $50 000

Планируется rvm переписать на ruby или как-то так и использовать rubygems или что-то там

Планируется rvm переписать на ruby

А на чем он сейчас?

Deleted ()

rvm

Закопать.

Deleted ()

ИМХО, с выходом bundler оно ненужно стало, вполне можно заменить более легковесным rbenv.

gwinn ★★★★ ()

Еще вчера отправил 10 баксов.

Deleted ()

There are over 20,000 lines of shell script

Вот это бы лучше процитирвал

Кстати мне кажется или уже обсуждение было?

C1nde ()

Не взлелит, потому что система для управления рубями не должна иметь в зависимостях саму руби.

ins3y3d ★★★★★ ()
Ответ на: комментарий от ins3y3d

С чего бы вдруг? Зачем нужна система управления рубями без самого руби?

DarkAmateur ★★ ()
Ответ на: комментарий от DarkAmateur

Нет. RVM скачивает, компилирует ruby любых версий, держит их рядом, позволяет выбирать, ставить для каждого свои gem-ы (или делать по нескольку наборов gem-ов). Сейчас для его работы нужен только shell.

А они хотят, чтобы вы уже имели у себя ruby из репозитория вашего дистрибутива или откуда-то еще, и потом либо у вас будет путаница с тем, какой ruby сейчас используется и куда вы ставите gem-ы, либо потом дефолтный ruby сносить.

Разумнее было написать установщик на любом языке, но только не ruby, это убивает идею на корню.

ins3y3d ★★★★★ ()
Ответ на: комментарий от ins3y3d

А они хотят, чтобы вы уже имели у себя ruby из репозитория вашего дистрибутива или откуда-то еще

Там прямо так и написано? Я не совсем понял что они точно хотят.
хотя с учётом что хотят rvm ставить через rubygems получается именно так

GanGSISoft ★★ ()
Ответ на: комментарий от provaton

Последние два года rvm поддерживал кто-то там, но эта поддержка закончилась 4 ноября
over 20,000 lines of shell script

Видимо автор повесился.

Deleted ()

Я бы дал деньги на его похорон разве что. С появлением Bundler и rbenv оно перестало быть нужным.

Deleted ()
Ответ на: комментарий от ins3y3d

Логика менеджера может быть вся на руби, а бутстрап, который стягивает дефолтный релиз для работы рвм - парой десятков строк вида

curl ruby;

cp ruby ~/rvm/ruby,

~/rvm/ruby/bin/ruby rvm

cdshines ★★★★ ()

Перешел на rbenv, в виду того, что он делает всё что нужно мне. Ну и не имеет того, что мне не нужно.

fraxinum ()
Ответ на: комментарий от Deleted

А что тогда нужно использовать?
Я просто всегда юзал rvm и про альтернативы особо не слышал.

IIIypuk ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.